local addon = PvPTimer

local spells = {
	-- Bestial Wrath
	[19574] = {
		class = 'HUNTER',
		spec = 1,
		duration = 10,
		cooldown = 84, -- 120 - 30%
		cooldown_g = -20,
		type = 'offensive',
	},
	-- Fervor
	[82726] = {
		class = 'HUNTER',
		spec = 1,
		cooldown = 120,
		type = 'offensive',
	},
	-- Focus Fire
	[82692] = {
		class = 'HUNTER',
		spec = 1,
		duration = 15,
		cooldown = 15,
		type = 'offensive',
	},
	-- Rapid Fire
	[3045] = {
		class = 'HUNTER',
		duration = 15,
		cooldown = 300,
		cooldown_s2 = -120,
		type = 'offensive',
	},
	-- -- Chimera Shot
	-- [53209] = {
		-- class = 'HUNTER',
		-- cooldown = 10,
		-- cooldown_g = -1,
		-- type = 'offensive',
	-- },
	-- Disengage
	[781] = {
		class = 'HUNTER',
		cooldown = 21,
		cooldown_g = -5,
		type = 'misc',
	},
	-- Scatter Shot
	[19503] = {
		class = 'HUNTER',
		duration = 4,
		cooldown = 30,
		type = 'cc',
	},
	-- Feign Death
	[5384] = {
		class = 'HUNTER',
		duration = 360,
		cooldown = 30,
		cooldown_g = -5,
		type = 'defensive',
	},
	-- Master's Call
	[53271] = {
		class = 'HUNTER',
		duration = 4,
		duration_g = 4,
		cooldown = 45,
		type = 'misc',
	},
	-- Deterrence
	[19263] = {
		class = 'HUNTER',
		duration = 5,
		cooldown = 120,
		cooldown_g = -10,
		type = 'defensive',
	},
	-- Camouflage
	[51753] = {
		class = 'HUNTER',
		cooldown = 60,
		type = 'defensive',
	},
	-- Silencing Shot
	[34490] = {
		class = 'HUNTER',
		spec = 2,
		cooldown = 20,
		type = 'interrupt',
	},
	-- Flare
	[1543] = {
		class = 'HUNTER',
		duration = 20,
		cooldown = 20,
		type = 'misc',
	},
	-- Wyvern Sting
	[19386] = {
		class = 'HUNTER',
		spec = 3,
		cooldown = 60,
		cooldown_g = -6,
		type = 'cc',
	},
	-- Readiness
	[23989] = {
		class = 'HUNTER',
		spec = 2,
		cooldown = 180,
		resets = 'all',
		type = 'misc',
	},
	
	-- FROST TRAPS
	
	-- Ice Trap (launcher)
	[82941] = 13809,
	-- Ice Trap
	[13809] = {
		class = 'HUNTER',
		duration = 60,
		cooldown = 30,
		cooldown_s3 = -6,
		type = 'root',
	},
	-- Freezing Trap (launcher)
	[60192] = 1499,
	-- Freezing Trap
	[1499] = {
		class = 'HUNTER',
		duration = 60,
		cooldown = 30,
		cooldown_s3 = -6,
		type = 'cc',
	},
	
	-- FIRE TRAPS
	
	-- Black Arrow
	[3674] = {
		class = 'HUNTER',
		spec = 3,
		cooldown = 24,
		type = 'offensive',
	},
	-- Immolation Trap (launcher)
	[82945] = 13813,
	-- Immolation Trap
	[13795] = 13813,
	-- Explosive Trap (launcher)
	[82939] = 13813,
	-- Explosive Trap
	[13813] = {
		class = 'HUNTER',
		duration = 60,
		cooldown = 30,
		cooldown_s3 = -6,
		type = 'offensive',
	},
	
	-- NATURE TRAPS

	-- Snake Trap (launcher)
	[82948] = 34600,
	-- Snake Trap
	[34600] = {
		class = 'HUNTER',
		duration = 60,
		cooldown = 30,
		cooldown_s3 = -6,
		type = 'misc',
	},
	
	-- PET SKILLS

	-- Intimidation
	[19577] = {
		class = 'HUNTER',
		spec = 1,
		duration = 3,
		cooldown = 42, -- 60 - 30%
		type = 'cc',
	},
	-- Call of the Wild
	[53434] = {
		class = 'HUNTER',
		duration = 20,
		cooldown = 300,
		type = 'offensive',
	},
	-- Roar of Sacrifice
	[53480] = {
		class = 'HUNTER',
		duration = 12,
		cooldown = 60,
		type = 'defensive',
	},
	-- Nether Shock (Nether Ray)
	[50479] = {
		class = 'HUNTER',
		cooldown = 40,
		type = 'interrupt',
		pet = true,
	},
	-- Pin (Crab)
	[50245] = {
		class = 'HUNTER',
		duration = 4,
		cooldown = 40,
		type = 'root',
		pet = true,
	},
	-- Web (Spider)
	[4167] = {
		class = 'HUNTER',
		duration = 5,
		cooldown = 40,
		type = 'root',
		pet = true,
	},
	-- Venom Web Spray (Silithid)
	[54706] = {
		class = 'HUNTER',
		spec = 1, -- pet is exotic
		duration = 5,
		cooldown = 60,
		type = 'root',
		pet = true,
	},
	-- Sonic Blast (Bat)
	[50519] = {
		class = 'HUNTER',
		duration = 2,
		cooldown = 60,
		type = 'cc',
		pet = true,
	},
	-- Horn Toss (Rhino)
	[93434] = {
		class = 'HUNTER',
		spec = 1, -- pet is exotic
		cooldown = 90,
		type = 'misc',
		pet = true,
	},
	-- Pummel (Gorilla)
	[26090] = {
		class = 'HUNTER',
		cooldown = 30,
		type = 'interrupt',
		pet = true,
	},
	-- Serenity Dust (Moth)
	[50318] = {
		class = 'HUNTER',
		cooldown = 60,
		type = 'interrupt',
		pet = true,
	},
	-- Ancient Hysteria
	[90355] = {
		class = 'HUNTER',
		duration = 40,
		cooldown = 360,
		type = 'offensive',
		pet = true,
	},
	-- Clench (Scorpid)
	[50541] = {
		class = 'HUNTER',
		cooldown = 60,
		type = 'misc',
		pet = true,
	},
	-- Snatch (Bird of Prey)
	[91644] = {
		class = 'HUNTER',
		cooldown = 60,
		type = 'misc',
		pet = true,
	},
}

local spec = {
	-- Aimed Shot
	[19434] = 2,
	-- Explosive Shot
	[53301] = 3,
	-- Wild Quiver
	[76659] = 2,
	-- Counterattack
	[19306] = 3,
	-- Chimera Shot
	[53209] = 2,
}

local hs = addon.Spells
for k, v in pairs(spells) do hs[k] = v end

local ss = addon.SpecSpells
for k, v in pairs(spec) do ss[k] = v end
